
Capship_tab.T.Tab.UI = {}
Capship_tab.T.Tab.UI.Close = iup.stationbutton{ title = "Close", size = 100 }
Capship_tab.T.Tab.UI.Save = iup.stationbutton{ title = "Save", size = 100 }
Capship_tab.T.Tab.UI.Setup = iup.stationbutton{ title = "Setup", size = 100}

Capship_tab.T.Tab.UI.ship = {}
Capship_tab.T.Tab.Settings = Capship_tab.T.Tab.Settings or {}
Capship_tab.T.Tab.UI.systemnotes = 1120003470


-- titles for first page
Capship_tab.T.Tab.Settings.tridentName = Capship_tab.T.Tab.Settings.tridentName or iup.text { value = "", expand = "NO", size = "300x", bgcolor = "10 10 10 225 *", fgcolor = "80 184 207 225 *",}
Capship_tab.T.Tab.Settings.tridentKey = Capship_tab.T.Tab.Settings.tridentKey or iup.text { value = "", expand = "NO", size = "300x", bgcolor = "10 10 10 225 *", fgcolor = "80 184 207 225 *",}
Capship_tab.T.Tab.Settings.goliathName = Capship_tab.T.Tab.Settings.goliathName or iup.text { value = "", expand = "NO", size = "300x", bgcolor = "10 10 10 225 *", fgcolor = "80 184 207 225 *",}
Capship_tab.T.Tab.Settings.goliathKey = Capship_tab.T.Tab.Settings.goliathKey or iup.text { value = "", expand = "NO", size = "300x", bgcolor = "10 10 10 225 *", fgcolor = "80 184 207 225 *",}


Capship_tab.T.Tab.UI.config = iup.vbox{
					iup.hbox{
						iup.fill{}, 
						iup.label{ title = "Capship Configuration:" },
						iup.fill{},
						gap = 10,
						margin = "8x8",
					},
					iup.hbox{
						iup.fill{ size = 30 },
						iup.label{ title = "Set Name and User Key for your capships. Leave blank if you don't have this type of capship.", font = Font.H5 }, 
						iup.fill{ size = 30 },
					},
					iup.hbox{
						iup.fill{ size = 30 },
						iup.vbox{
							iup.hbox{ iup.label{title="Trident Name:"}, margin = "0x0", },
							iup.hbox{ iup.label{title="Trident Key:"}, margin = "0x1", },
							iup.hbox{ iup.label{title="Goliath Name:"}, margin = "0x1", },
							iup.hbox{ iup.label{title="Goliath Key:"}, margin = "0x1", },
							gap = 10,
							margin = "10x10",
						},
						iup.vbox{
							Capship_tab.T.Tab.Settings.tridentName,
							Capship_tab.T.Tab.Settings.tridentKey,
							Capship_tab.T.Tab.Settings.goliathName,
							Capship_tab.T.Tab.Settings.goliathKey,
							gap = 10,
							margin = "10x10",
						},
						iup.fill{ size = 30 },
					},
					iup.hbox{
						iup.fill{ size = 30 },
                        iup.vbox{
							iup.fill{ size = 40 },
							iup.vbox{
								iup.fill{},
								iup.hbox{ iup.label{title="Set default settings on update/first run."},  margin = "0x1", font = Font.H5 },
								iup.hbox{ iup.label{title="Use this BEFORE entering your capship data."},  margin = "0x1", font = Font.H5 },
								iup.vbox{
									iup.hbox{ Capship_tab.T.Tab.UI.Setup, },
								},
								iup.fill{},	
							},
							iup.fill{ size = 30 },
						},
						iup.fill{ size = 30 },
                    },
					BGCOLOR = "0 0 0 225 *",
					fgcolor = "80 184 207 225 *",
					-- tabtitle = "Config",
					-- TABPADDING = "1x1",
				}



-- main ui
Capship_tab.T.Tab.UI.dlg = iup.dialog{
	iup.vbox{
		iup.pdarootframe{
			iup.pdasubframebg{
				iup.vbox{
					iup.hbox{
                        Capship_tab.T.Tab.UI.config,
						BGCOLOR = "10 10 10 225 *",
						FGCOLOR = "80 184 207 225 *",
                    },
					iup.fill{ size = 10 },
					iup.fill{},
					iup.hbox{
                        Capship_tab.T.Tab.UI.Save, 
                        iup.fill{ size = 600 }, 
                        iup.fill{}, 
                        Capship_tab.T.Tab.UI.Close
                    },
				},
			},
		};
		gap=12,
	};
	BORDER="NO",
	TOPMOST="YES",
	MINBOX="NO",
	MAXBOX="NO",
	RESIZE="NO",
	MENUBOX="NO",
    BGCOLOR = "0 0 0 225 *",
	DEFAULTESC = Capship_tab.T.Tab.UI.Close,
}



function Capship_tab.T.Tab.UI.Save:action()
	-- save data
	Capship_tab.T.Tab.UI.ship.tridentName = Capship_tab.T.Tab.Settings.tridentName.value
	Capship_tab.T.Tab.UI.ship.tridentKey = Capship_tab.T.Tab.Settings.tridentKey.value
	Capship_tab.T.Tab.UI.ship.goliathName = Capship_tab.T.Tab.Settings.goliathName.value
	Capship_tab.T.Tab.UI.ship.goliathKey = Capship_tab.T.Tab.Settings.goliathKey.value

	SaveSystemNotes(spickle(Capship_tab.T.Tab.UI.ship), Capship_tab.T.Tab.UI.systemnotes)	
end

function Capship_tab.T.Tab.UI.Close:action()
	HideDialog(Capship_tab.T.Tab.UI.dlg)
end

function Capship_tab.T.Tab.UI.Setup:action()
	if Capship_tab.T.Tab.Settings.tridentName.value == "" or nil then
		Capship_tab.T.Tab.UI.ship.tridentName = ""
	end
	if Capship_tab.T.Tab.Settings.tridentKey.value == "" or nil then
		Capship_tab.T.Tab.UI.ship.tridentKey = ""
	end
	if Capship_tab.T.Tab.Settings.goliathName.value == "" or nil then
		Capship_tab.T.Tab.UI.ship.goliathName = ""
	end
	if Capship_tab.T.Tab.Settings.goliathKey.value == "" or nil then
		Capship_tab.T.Tab.UI.ship.goliathKey = ""
	end
	Capship_tab.T.Tab.UI.ship.controlTrident = true
	Capship_tab.T.Tab.UI.ship.controlGoliath = false
	Capship_tab.T.Tab.UI.ship.autocontrolCapship = false
	Capship_tab.T.Tab.UI.ship.turretDisabled1 = false
	Capship_tab.T.Tab.UI.ship.turretDisabled2 = false
	Capship_tab.T.Tab.UI.ship.turretDisabled3 = false
	Capship_tab.T.Tab.UI.ship.turretDisabled4 = false
	Capship_tab.T.Tab.UI.ship.turretDisabledMISSILE = false
	Capship_tab.T.Tab.UI.ship.turretDisabledALL = false
	

	SaveSystemNotes(spickle(Capship_tab.T.Tab.UI.ship), Capship_tab.T.Tab.UI.systemnotes)
end

function Capship_tab.T.Tab.UI.open()
	Capship_tab.T.Tab.UI.ship = unspickle(LoadSystemNotes(Capship_tab.T.Tab.UI.systemnotes))
	-- load settings
	Capship_tab.T.Tab.Settings.tridentName.value = Capship_tab.T.Tab.UI.ship.tridentName or ""
	Capship_tab.T.Tab.Settings.tridentKey.value = Capship_tab.T.Tab.UI.ship.tridentKey or ""
	Capship_tab.T.Tab.Settings.goliathName.value = Capship_tab.T.Tab.UI.ship.goliathName or ""
	Capship_tab.T.Tab.Settings.goliathKey.value = Capship_tab.T.Tab.UI.ship.goliathKey or ""
	
	ShowDialog(Capship_tab.T.Tab.UI.dlg, iup.CENTER, iup.CENTER)
end



RegisterUserCommand("mdicapship", Capship_tab.T.Tab.UI.open)